<meta name="viewport" content="width=device-width, initial-scale=1.0">
<body>
<nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top" style="box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19)">
  <a class="navbar-toggler" type="button" style= "color: white" (click)="toggleNavbar()">
      <mat-icon>view_headline</mat-icon>
  </a>
  <div class="collapse navbar-collapse" [ngClass]="{'show' : navbarOpen}">
    <ul class="navbar-nav mr-auto" id="navbar">

      <li *ngIf="(isLogin)">
        <a id="exit" class="nav-link" (click)="logOut()">خروج</a>
      </li>

      <li class="nav-item">
        <a class="nav-link" routerLink="home">خانه</a>
      </li>

      <li class="nav-item" *ngIf="(isLogin)">
        <a id="profile" class="nav-link" routerLink="profile">پروفایل</a>
      </li>

      <li class="nav-item" *ngIf="!(isLogin)">
        <a id="login" class="nav-link" onclick="document.getElementById('id01').style.display='block'">ورود</a>

        <div id="id02" class="modal">
          <form class="modal-content animate">
            <div class="imgcontainer">
              <i class="material-icons" style="font-size: 60px">
                https
              </i>
              <h3>
                فراموشی رمز عبور
              </h3>
            </div>
            <div class="container" style="color: #83859E">
              <input [(ngModel)]="password"  type="password" placeholder="رمز عبور" name="newPsw" required>
              <div [class]= 'passwordClass'>
                {{password_error}}
              </div>

              <input [(ngModel)]="repit_password" type="password" placeholder="تکرار رمز عبور" name="reNewPsw" required>
              <div [class]= 'repit_passClass'>
                {{repet_passW_error}}
              </div>

              <div [class]= 'emptyClass'>
                {{empty_fild}}
              </div>
              <button type="submit" (click)="reSetPassWord()">ثبت رمز جدید</button>
              <button type="button" (click)="closeButton()" class="cancelbtn">بستن</button>
            </div>
          </form>
        </div>

        <div id="id01" class="modal">
          <form class="modal-content animate">
            <div class="imgcontainer">
              <i class="material-icons" style="font-size: 100px">
                account_circle
              </i>
              <h2>
                ورود
              </h2>
            </div>
            <div class="container" style="color: #83859E">

              <input [(ngModel)]="username"  class="input-field" type="text" placeholder="نام کاربری" name="uname">
              <div [class]= 'usernameClass'>
                {{username_error}}
              </div>

              <input [(ngModel)]="password" type="password" placeholder="رمز عبور" name="psw">
              <div [class]= 'passwordClass'>
                {{password_error}}
              </div>

              <div [class]= 'emptyClass'>
                {{empty_fild}}
              </div>

              <button type="submit" (click)="loginButton()">ورود</button>
            </div>
            <div style="text-align: center; font-size: medium" [class]= 'server_error_class'>
              {{server_error}}
            </div>
            <div style="text-align: center; font-size: medium" [class]= 'wrong_user_class'>
              {{wrong_user}}
            </div>
            <div class="container">
              <button type="button" (click)="closeButton()" class="cancelbtn">بستن</button>
              <button class="forgot-text" onclick="document.getElementById('id02').style.display='block'; document.getElementById('id01').style.display='none'">فراموشی رمز عبور</button>
            </div>
          </form>
        </div>
      </li>

      <li class="nav-item" *ngIf="!(isLogin)">
        <a id="register" class="nav-link" onclick="document.getElementById('id03').style.display='block'">عضویت</a>
        <div id="id03" class="modal">
          <form class="modal-content animate">
            <div class="imgcontainer" style="text-align: center; color: #83859E">
              <i class="material-icons" style="font-size: 100px">
                account_circle
              </i>
              <h2>
                عضویت
              </h2>
            </div>
            <div class="container" style="color: #83859E">

              <input [(ngModel)]="username" type="text" placeholder="نام کاربری" name="userName">
              <div [class]= 'usernameClass'>
                {{username_error}}
              </div>

              <input [(ngModel)]="email" type="email" placeholder="ایمیل" name="email">

              <input [(ngModel)]="password" type="password" placeholder="رمز عبور" name="phone" >
              <div [class]= 'passwordClass'>
                {{password_error}}
              </div>

              <input [(ngModel)]="repit_password" type="password" placeholder="تکرار رمز عبور" name="password">
              <div [class]= 'repit_passClass'>
                {{repet_passW_error}}
              </div>

              <div [class]= 'emptyClass'>
                {{empty_fild}}
              </div>
              <button type="submit" (click)="registerButton()">ثبت نام</button>
            </div>

            <div style="text-align: center; font-size: medium" [class]= 'server_error_class'>
              {{server_error}}
            </div>

            <div class="container">
              <button type="button" (click)="closeButton()" class="cancelbtn">بستن</button>
            </div>
          </form>
        </div>
      </li>
    </ul>
  </div>
</nav>

<div class="bg-img">
  <div style="margin-top: 40px">
    <p>
      سامانه ارائه خدمت
    </p>
    <h5>
      سامانه ارائه دهنده خدمات دانشجویی
    </h5>
    <h6>
      پنل مدریت
    </h6>
  </div>
</div>
<div style="margin-top: 40px">
  <router-outlet></router-outlet>
</div>
<footer class="site-footer">
  <div class="container">
    <div class="row">
      <div class="col-lg-4 col-md-4 col-sm-12" style="text-align: center; padding: 5px; margin-top: 10px; float: start">
        <h4>
          درباره ی ما
        </h4>
        <hr>
        <div style="text-align: end; padding: 5px; margin-top: 10px; font-size: medium">
          <p>
            در آن زمان ساختمان مناسبی برای تأسیس یک مرکز محیط دانشگاهی در کاشان در دسترس نبود و مرحوم اسلامی، خانه ای قدیمی را که محل سکونت فرمانداران پیشین کاشان بود
          </p>
        </div>
      </div>
      <div class="col-lg-4 col-md-4 col-sm-12" style="position: center; margin-top: 30px; float: left">
      </div>
      <div class="col-lg-4 col-md-4 col-sm-12" style="text-align: center; padding: 5px; margin-top: 10px">
        <h4>
          تماس با ما
        </h4>
        <hr>
        <div style="text-align: end; padding: 5px; font-size: medium">
          <p>sample@gmail.com :ایمیل<i class="material-icons" style="vertical-align: middle; padding: 3px">email</i></p>
          <p>شماره تماس: 03155570021<i class="material-icons" style="vertical-align: middle; padding: 3px">call</i></p>
          <p>دانشگاه کاشان مرکز تجاری سازی و نوآوری<i class="material-icons" style="vertical-align: middle; padding: 3px">room</i></p>
        </div>
      </div>
    </div>
  </div>
</footer>
</body>
